Subject: bug#19902: 25.0.50; [PATCH v3] Make eww entry point more info-like

From: Mark Oteiza <[email-masked]>
Date: Fri, 25 Dec 2015 11:34:53 -0500

On 25/12/15 at 07:38am, Lars Ingebrigtsen wrote:
> Lars Magne Ingebrigtsen <[email-masked]> writes:
> 
> > Mark Oteiza <[email-masked]> writes:
> >
> >> Lars Magne Ingebrigtsen <[email-masked]> writes:
> >>
> >>> Mark Oteiza <[email-masked]> writes:
> >>>
> >>>> Which it does, unless *eww* already exists, in which case it switches to
> >>>> the buffer.  Then one can kit a key 'G' and paste a URL.  Alternatively,
> >>>> one can just do C-u M-x eww RET.
> >>>
> >>> I think that's way too confusing.
> >>
> >> Thanks for the constructive feedback.
> >
> > Your patch changes what happens when the user types `M-x eww' depending
> > on whether an unseen buffer exists or not.  This makes the command
> > inconsistent, and therefore confusing.
> >
> > You're welcome.
> 
> I'm still of the opinion that this feature is too confusing, so I'm
> closing this bug report.

I had the idea of hiding this behind a defcustom to the effect of
`eww-always-prompt` (which would be t so the default behavior is
unchanged) but I still am at a loss to how you think this is confusing.
It's almost exactly how M-x info works.

If there was some simplification to which you would be amenable, I think
the bare minimum from this patch would be just switching to *eww* if it
exists already.

IIRC doing M-x eww RET some-url RET destroys the history of an existing
*eww* buffer, which is another annoying problem that the current M-x eww
"workflow" exacerbates. But I already mentioned that when I first
submitted the patch.